Subject: Re: [PATCH] checkout-index.c: Unconditionally free memory

From: Junio C Hamano <[email-masked]>
Date: Sat, 02 May 2015 20:03:07 -0700

Jeff King <[email-masked]> writes:

>> Sure, the prefix could even be "prefix_path(): $message", I would
>> think.
>
> I almost suggested that, but it not a change to prefix_path at all, but
> rather to its callers. That may be getting nit-picky, though. :)

Using "prefix_path(): free returned memory in the callers" as the
title, with the body that explains that an earlier fix to make that
a requirement but forgot to do so for a few that are fixed in this
commit, would be sensible, no?  It is not about how prefix_path() is
implemented but its returned value, which is still about that
function.